# Uses of Class
org.apache.zookeeper.Transaction

Packages that use Transaction
Package
Description
org.apache.zookeeper

## Uses of Transaction in org.apache.zookeeper

Methods in org.apache.zookeeper that return Transaction
Modifier and Type
Method
Description
`Transaction`
Transaction.`check(String path, int version)`
`Transaction`
Transaction.`create(String path, byte[] data, List<ACL> acl, CreateMode createMode)`
`Transaction`
Transaction.`delete(String path, int version)`
`Transaction`
Transaction.`setData(String path, byte[] data, int version)`
`Transaction`
ZooKeeper.`transaction()`
A Transaction is a thin wrapper on the `ZooKeeper.multi(Iterable)` method which provides a builder object that can be used to construct and commit an atomic set of operations.